
@ECHO OFF
set MAIN_CLASS=com.ca.apm.gaps.GapsMain

IF "%APM_FIPS_ENABLE%"=="true" (
  echo FIPS mode
  set APM_FIPS_BOOTCLASSPATH="-Xbootclasspath/a:libs/bc-fips*.jar:libs/bctls*.jar"
  java -cp "libs/*" %APM_FIPS_BOOTCLASSPATH% -Djava.security.egd=file:/dev/random -Dcom.ca.apm.common.crypto.fipsEnable=true -Dorg.bouncycastle.fips.approved_only=true -Dorg.bouncycastle.jca.enable_jks=true -Djavax.net.ssl.trustStoreType=FIPS %MAIN_CLASS% --spring.config.location=./config/
) ELSE (
  java -cp "libs/*" %MAIN_CLASS%  --spring.config.location=./config/
)
